﻿@model IEnumerable<eCommerce.Services.Model.DeliverySupplier>
@using eCommerce.Services.Model

<h4>Historial de Recepciones de Mercadería</h4>

<table class="table table-hover dataTable table-striped width-full">
    <thead>
        <tr>
            <th class="text-left">Fecha de Recepción</th>
            <th class="text-left">Fecha de alta</th>
            <th class="text-left">Remito</th>
            <th class="text-left">Comentario</th>
            <th>Acciones</th>
        </tr>
    </thead>
    <tbody>
        @foreach (DeliverySupplier item in Model)
        {
            <tr>
                <td class="text-left">@item.Date.ToShortDateString()</td>
                <td class="text-left">@item.Created.ToString()</td>
                <td class="text-left">@item.ReferNumber</td>
                <td class="text-left">@item.Comment</td>
                <td class="actions">
                    <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default"
                       data-toggle="tooltip" data-original-title="Ver detalle"
                       onclick="ShowModalDeliveryDetail(@item.DeliverySuppliersId)">
                        <i class="icon fa-search-plus" aria-hidden="true"></i>
                    </a>
                    <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default"
                       data-toggle="tooltip" data-original-title="Eliminar"
                       onclick="deleteDelivery(@item.DeliverySuppliersId, '@item.ReferNumber')">
                        <i class="icon wb-trash" aria-hidden="true"></i>
                    </a>
                </td>
            </tr>
        }
    </tbody>
</table>

